class HelixMinigunsidePawn extends ONSWeaponPawn;

function AltFire(optional float F)
{
	local PlayerController PC;

	PC = PlayerController(Controller);
	if (PC == None)
		return;

	bWeaponIsAltFiring = true;
	PC.ToggleZoom();
}

function ClientVehicleCeaseFire(bool bWasAltFire)
{
	local PlayerController PC;

	if (!bWasAltFire)
	{
		Super.ClientVehicleCeaseFire(bWasAltFire);
		return;
	}

	PC = PlayerController(Controller);
	if (PC == None)
		return;

	bWeaponIsAltFiring = false;
	PC.StopZoom();
}

simulated function ClientKDriverLeave(PlayerController PC)
{
	Super.ClientKDriverLeave(PC);

	bWeaponIsAltFiring = false;
	PC.EndZoom();
}

defaultproperties
{
     GunClass=Class'HelixESVFinal.HelixMinigunside'
     bHasAltFire=False
     CameraBone="CameraB"
     ExitPositions(0)=(Y=-200.000000,Z=100.000000)
     ExitPositions(1)=(Y=200.000000,Z=100.000000)
     EntryRadius=130.000000
     bDrawDriverInTP=true
     FPCamViewOffset=(X=0.000000,Z=7.000000)
     TPCamDistance=0.000000
     TPCamLookat=(X=2.5000000,Z=3.000000)
     TPCamWorldOffset=(Z=80.000000)
     DriverDamageMult=0.1000000
     VehiclePositionString="in a Helix Minigun turret"
     VehicleNameString="Helix Minigun turret"
}
